Subject: wd40

From: [email-masked]
Date: Wed, 22 Dec 1993 01:59:06 GMT

just my two cents on the thread about WD40....i'm not a very mechanical person,
but WD40 has worked great when i am cleaning up my bicycle at the beginning
and end of each summer season....it gets rid of most of the accumulated
rust and grime and just generally makes it work more smoothly than before
i sprayed and scrubbed it down with the stuff....